% nomal mode solution
% rigid bottom
function[pr] = nmode_rigid(f,c0,H,zs,L,delx,delz)
n_max = ceil(2*H/(c0/f));   %max modal number
w0 = 2*pi*f; %anguler frequency
kz(1:n_max) = pi/H*([1:n_max]-1/2);
kn = sqrt((w0/c0).^2-kz.^2);
zz = 0:delz:H;
r = 0:delx:L;
pr = 0;
for m = 1:length(kz);
    pp1 = 2*1i*pi/H*sin(kz(m)*zs)*sin(kz(m)*zz)'*besselh(0,kn(m)*r);
    pr = pr + pp1;
end
pr = abs(pr);
end